## starpu 0.9.1

=== debian/changelog ===
starpu (0.9.1-3build1) precise; urgency=low

  * Rebuild against libhwloc4.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 26 Nov 2011 23:42:47 +0100

starpu (0.9.1-3) unstable; urgency=low

  * debian/control:
    - Add libcnf-dev and gfortran build-dependency for the fortran example.
    - Depend on nvidia-cuda-toolkit and libcuda1 instead of nvidia-opencl-dev
      and nvidia-cuda-dev, since starpu also needs nvcc (Closes: Bug#638980)
    - Make contrib Architecture: amd64 i386 since it only makes sense there.
  * debian/rules: Fix main/contrib switch rules accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 May 2011 19:12:30 +0200

starpu (0.9.1-2) unstable; urgency=low

  * debian/rules:
    - Add rule to change Sections to contrib/.
    - Set HOME to $PWD while making test, to permit buildds to write into
      $HOME/.starpu.
  * debian/control: Depend on libnuma-dev only on architectures which have it.
  * debian/patches/no-fftwl: Build starpufft even without fftwl.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 May 2011 18:26:07 +0200

starpu (0.9.1-1) unstable; urgency=low

  * Initial release (Closes: #619848)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 May 2011 13:34:51 +0200
