=== debian/control ===
--- 
+++ 
@@ -14,6 +14,8 @@
 	libfftw3-dev,
 	libhwloc-dev,
 	libcnf-dev, gfortran,
+	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
+	hardening-wrapper,
 #	nvidia-cuda-toolkit,
 #	libcuda1,
 Standards-Version: 3.9.2
@@ -25,8 +27,9 @@
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu0 (= ${binary:Version}), ${misc:Depends}, install-info
+Depends: libstarpu-1.0 (= ${binary:Version}), ${misc:Depends}, install-info, libhwloc-dev
 Conflicts: libstarpu-contrib-dev
+#Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -38,11 +41,12 @@
  .
  This package contains development headers and libraries.
 
-Package: libstarpu0
+Package: libstarpu-1.0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib0
+Conflicts: libstarpu-contrib-1.0
+#Provides: libstarpu-1.0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -54,11 +58,12 @@
  .
  This package contains the main StarPU library
 
-Package: libstarpufft0
+Package: libstarpufft-1.0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribfft0
+Conflicts: libstarpu-contribfft-1.0
+#Provides: libstarpufft-1.0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -70,11 +75,12 @@
  .
  This package contains a hybrid CPU+GPU FFT library.
 
-Package: libstarpumpi0
+Package: libstarpumpi-1.0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribmpi0
+Conflicts: libstarpu-contribmpi-1.0
+#Provides: libstarpumpi-1.0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -91,6 +97,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-contrib-tools
+#Provides: starpu-tools
 Description: Task scheduler for heterogeneous multicore machines - tools
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -102,11 +109,27 @@
  .
  This package contains StarPU tools.
 
+Package: starpu-top
+Section: utils
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Task scheduler for heterogeneous multicore machines - top
+ StarPU is a runtime system that offers support for heterogeneous
+ multicore machines. While many efforts are devoted to design efficient
+ computation kernels for those architectures (e.g. to implement BLAS
+ kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
+ offloading such kernels (and implementing data coherency across
+ the machine), but it also makes sure the kernels are executed as
+ efficiently as possible.
+ .
+ This package contains a graphical top tool.
+
 Package: starpu-examples
 Section: science
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-contrib-examples
+#Provides: starpu-examples
 Description: Task scheduler for heterogeneous multicore machines - exs
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -117,3 +140,18 @@
  efficiently as possible.
  .
  This package contains application examples.
+
+#Package: libsocl-contrib0
+#Section: libs
+#Architecture: any
+#Depends: ${shlibs:Depends}, ${misc:Depends}
+#Description: Task scheduler for heterogeneous multicore machines
+# StarPU is a runtime system that offers support for heterogeneous
+# multicore machines. While many efforts are devoted to design efficient
+# computation kernels for those architectures (e.g. to implement BLAS
+# kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
+# offloading such kernels (and implementing data coherency across
+# the machine), but it also makes sure the kernels are executed as
+# efficiently as possible.
+# .
+# This package contains an OpenCL-compatible library interface to StarPU.
