## starpu 1.0.0

=== debian/changelog ===
starpu (1.0.0-1) unstable; urgency=low

  * New upstream release.
    - Add qt dependencies for StarPU-Top, Use system qwt.
    - Add new libsocl0 binary package.
    - Remove patches/{format,info,memory,no-fftwl}, merged upstream.
    - Update debian/copyright
    - Add starpu-top package.

  * control:
    - Depend on hardening-check.
    - Make libstarpu-dev depend on libhwloc-dev.
    - build-depend on gcc-4.6-plugin-dev and help2man.
    - Add missing shlib dependency for libstarpu-dev.
    - Add provides to contrib variants.
    - Bump Standards-Version to 3.9.3 (no changes).
  * rules:
    - Set DEB_BUILD_HARDENING=1 to enable hardening.
    - Set empty DISPLAY to avoid opening a window during Mandelbrot test.
    - Enable parallel build.
    - build out of source to prepare for gcc plugins built for several gcc
    versions.
    - rules: Run make showcheck after check.

  * rules, control: Make libstarpu-dev depend on the exact version of gcc that
    compiled the plugin, as the plugin infrastructure is very strict about it.
  * lib*.install: Use wildcard instead of 1.0.
  * libstarpu-dev.install: Add gcc plugin.
  * starpu-tools.install: Install manpages.
  * info: Install all info files.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Mar 2012 14:42:41 +0200
