=== debian/rules ===
--- 
+++ 
@@ -1,23 +1,32 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_HARDENING=1
+DH_OPTIONS=-Bbuild
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --parallel $(DH_OPTIONS) --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-opengl-render \
+	dh_auto_configure $(DH_OPTIONS) -- --enable-opengl-render \
 		--with-qwt-include-dir=/usr/include/qwt-qt4 \
 		--with-qwt-lib=qwt-qt4
 
 override_dh_auto_test:
-	-HOME=$$PWD DISPLAY= dh_auto_test
+	-HOME=$$PWD DISPLAY= dh_auto_test $(DH_OPTIONS) 
+	$(MAKE) -C build showcheck
+
+override_dh_install:
+	dh_install usr/lib/starpu/*/gcc/*/*.so* /usr/lib/gcc/$(DEB_HOST_MULTIARCH)/4.6/plugin
 
 override_dh_auto_clean:
-	dh_auto_clean
+	dh_auto_clean $(DH_OPTIONS) 
 	rm -fr .starpu
 	rm -f starpu-top/StarPU-Top
 	rm -fr .nv
+
+# This is required by the gcc plugin infrastructure
+override_dh_gencontrol:
+	dh_gencontrol -- -VgccDeps='gcc-4.6 (= $(shell dpkg-query -f '$${Version}' -W gcc-4.6))'
 
 # Switch to main rules
 main:
