## starpu 1.0.1

=== debian/changelog ===
starpu (1.0.1-4) unstable; urgency=low

  * patches/binding: Backport upstream change to fix binding on CPU near GPUs,
    and for combined workers.
  * patches/bashism: Backport upstream change to fix bashism.
    (Closes: Bug#690935).
  * patches/automake-Werror: Fix automake warnings (Closes: Bug#713335).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Jul 2013 15:32:05 +0200

starpu (1.0.1-3) unstable; urgency=low

  * control, rules: Use gcc-4.4 instead of gcc-4.5 for contrib
    (Closes: Bug#680898).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Jul 2012 09:40:40 +0200

starpu (1.0.1-2) unstable; urgency=low

  * control: Really use relaxed gcc-4.6 version test, not just exactly the
    upstream version part, thanks Andreas Beckmann for initial patch
    (Closes: Bug#670422).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 31 May 2012 13:53:27 +0200

starpu (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Explicitly use gcc-4.6 to fix plugin build (Closes: Bug#667381).
  * Use gcc-4.5 for starpu, as nvcc does not actually support all 4.6
    features, notably not __float128.
  * patches/relax-gcc-plugin: Relax gcc-4.6 dependency for plugins to upstream
    release version (Closes: #670422)
  * watch: Fix URL.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 12 Apr 2012 15:04:15 +0200
