=== debian/control ===
--- 
+++ 
@@ -16,10 +16,12 @@
 	libcnf-dev, gfortran,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
 	hardening-wrapper,
-	gcc-4.6-plugin-dev,
+	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,
+#	gcc-4.4, g++-4.4,
 	help2man,
 #	nvidia-cuda-toolkit,
 #	libcuda1,
+#Build-Conflicts: gcc-4.6, g++-4.6, hardening-wrapper
 Standards-Version: 3.9.3
 Section: libs
 Homepage: http://starpu.gforge.inria.fr/
