## starpu 1.0.1+dfsg

=== debian/changelog ===
starpu (1.0.1+dfsg-1) wheezy; urgency=low

  * Rebuild orig tarball without NVIDIA proprietary source code
    (Closes: Bug#724919).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 Nov 2013 10:22:32 +0100
