=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
 	hardening-wrapper,
 	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,
-#	gcc-4.4, g++-4.4,
+#	gcc-4.5, g++-4.5,
 	help2man,
 #	nvidia-cuda-toolkit,
 #	libcuda1,
