=== debian/watch ===
version=3
https://gforge.inria.fr/frs/?group_id=1570 /frs/download.php/.*/starpu-(.*)\.tar\.gz
