## starpu 1.0.5

=== debian/changelog ===
starpu (1.0.5-3build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Dec 2013 00:29:14 -0500

starpu (1.0.5-3) unstable; urgency=high

  * patches/automake-nowerror: Do not pass -Werror to automake
    (Closes: Bug#724128).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Sep 2013 21:55:39 +0200

starpu (1.0.5-2) unstable; urgency=low

  * Make starpu-top also replace/break starpu-contrib-tools
    (Closes: Bug#717996).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Jul 2013 20:44:13 +0200

starpu (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Move starpu_top.1.gz to starpu-top package.
  * control, rules: upgrade to gcc-4.7.
  * control: Make libstarpu-dev also depend on libstarpufft and libstarpumpi
    (Closes: Bug#715121).
  * Bump Standards-Version to 3.9.4 (no changes).
  * patches/mpi_link: disable using mpicc --showme:link link flags: they bring
    unnecessary rpath.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 06 Jul 2013 09:42:41 +0200
