=== debian/control ===
--- 
+++ 
@@ -16,13 +16,13 @@
 	libcnf-dev, gfortran,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
 	hardening-wrapper,
-	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,
-#	gcc-4.5, g++-4.5,
+	gcc-4.7, g++-4.7, gcc-4.7-plugin-dev,
+#	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,
 	help2man,
 #	nvidia-cuda-toolkit,
 #	libcuda1,
-#Build-Conflicts: gcc-4.6, g++-4.6, hardening-wrapper
-Standards-Version: 3.9.3
+#Build-Conflicts: gcc-4.7, g++-4.7, hardening-wrapper
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
@@ -31,7 +31,7 @@
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, install-info, libhwloc-dev
+Depends: libstarpu-1.0 (= ${binary:Version}), libstarpufft-1.0 (= ${binary:Version}), libstarpumpi-1.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, install-info, libhwloc-dev
 Conflicts: libstarpu-contrib-dev
 #Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -117,6 +117,8 @@
 Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
+Breaks: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
 Description: Task scheduler for heterogeneous multicore machines - top
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
