## starpu 1.1.0+dfsg

=== debian/changelog ===
starpu (1.1.0+dfsg-2) unstable; urgency=medium

  * patches/build_fixes: Fix sync_synchronize use on non-x86 archs.
  * control: Depend on valgrind only on archs which have it.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Dec 2013 12:52:48 +0100

starpu (1.1.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Do not depend on install-info any more.
  * Bump Standards-Version to 3.9.5.
  * patches: refresh.
  * control: Add valgrind and guile build-dependency.
  * docs: Add pdf documentation.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Oct 2013 09:04:50 +0100

starpu (1.0.5+dfsg-1) unstable; urgency=low

  * Rebuild orig tarball without NVIDIA proprietary source code
    (Closes: Bug#724919).
  * watch: Mangle tarball name against +dfsg.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Sep 2013 18:14:07 +0200
