=== debian/control ===
--- 
+++ 
@@ -15,14 +15,15 @@
 	libhwloc-dev,
 	libcnf-dev, gfortran,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
-	hardening-wrapper,
+	hardening-wrapper, valgrind [amd64 armhf i386 mips mipsel powerpc s390x],
+	guile-2.0,
 	gcc-4.7, g++-4.7, gcc-4.7-plugin-dev,
 #	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,
 	help2man,
 #	nvidia-cuda-toolkit,
 #	libcuda1,
 #Build-Conflicts: gcc-4.7, g++-4.7, hardening-wrapper
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
@@ -31,7 +32,7 @@
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.0 (= ${binary:Version}), libstarpufft-1.0 (= ${binary:Version}), libstarpumpi-1.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, install-info, libhwloc-dev
+Depends: libstarpu-1.1-4 (= ${binary:Version}), libstarpufft-1.1-1 (= ${binary:Version}), libstarpumpi-1.1-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev
 Conflicts: libstarpu-contrib-dev
 #Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -45,12 +46,12 @@
  .
  This package contains development headers and libraries.
 
-Package: libstarpu-1.0
+Package: libstarpu-1.1-4
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib-1.0
-#Provides: libstarpu-1.0
+Conflicts: libstarpu-contrib-1.1-4
+#Provides: libstarpu-1.1-4
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -62,12 +63,12 @@
  .
  This package contains the main StarPU library
 
-Package: libstarpufft-1.0
+Package: libstarpufft-1.1-1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribfft-1.0
-#Provides: libstarpufft-1.0
+Conflicts: libstarpu-contribfft-1.1-1
+#Provides: libstarpufft-1.1-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -79,12 +80,12 @@
  .
  This package contains a hybrid CPU+GPU FFT library.
 
-Package: libstarpumpi-1.0
+Package: libstarpumpi-1.1-2
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribmpi-1.0
-#Provides: libstarpumpi-1.0
+Conflicts: libstarpu-contribmpi-1.1-2
+#Provides: libstarpumpi-1.1-2
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -147,7 +148,7 @@
  .
  This package contains application examples.
 
-#Package: libsocl-contrib-1.0
+#Package: libsocl-contrib-1.1-1
 #Section: libs
 #Architecture: any
 #Depends: ${shlibs:Depends}, ${misc:Depends}
